function [D A] = distAngle(X,Y)
%----------------------
%This function outputs distance and angle given the X and Y coordinates
%[D A] = distAngle(X,Y)
%

D = zeros(length(X),1);
A = zeros(length(X),1);

%distance
for i = 1:(length(X)-1)
   D(i) = sqrt((X(i+1)-X(i))^2 +(Y(i+1)-Y(i))^2);
end
D(length(X))=X(1)-X(end);

%angle 
for i = 1:(length(X)-1)
    if X(i+1) > X(i) && Y(i+1) >= Y(i)
        A(i)=asin((Y(i+1)-Y(i))/D(i));
    elseif X(i+1) > X(i) && Y(i+1) < Y(i)
        A(i)=asin((Y(i+1)-Y(i))/D(i)) + 2*pi;
    elseif X(i+1) < X(i) 
        A(i)=pi - asin((Y(i+1)-Y(i))/D(i));
    elseif X(i+1) == X(i) && Y(i+1) > Y(i)
        A(i) = pi/2;
    elseif X(i+1) == X(i) && Y(i+1) < Y(i)
        A(i) = 3*pi/2;    
    end
end
A(length(X))=0;

