function [F] = formFmatrix (theta, l, r, g1, g2, E, D, n)
F= zeros(4*(n), 1);
S=sin(theta);
C=cos(theta);
W= zeros(4*(n), 1);
%W=E*D/2;
for k=1:(n-1);
    F(4*k-3) = +r*C(k) - (g1-g2)*l(k)*S(k)/2 + (2*W(k)/3 + 1*W(k+1)/3)*S(k)/2 + F(4*k-3);
    F(4*k-2) = +r*S(k) + (g1-g2)*l(k)*C(k)/2 - (2*W(k)/3 + 1*W(k+1)/3)*C(k)/2 + F(4*k-2);
    F(4*k+1) = -r*C(k) - (g1-g2)*l(k)*S(k)/2 + (1*W(k)/3 + 2*W(k+1)/3)*S(k)/2 + F(4*k+1);
    F(4*k+2) = -r*S(k) + (g1-g2)*l(k)*C(k)/2 - (1*W(k)/3 + 2*W(k+1)/3)*C(k)/2 + F(4*k+2);
end
for k=n;
    F(4*k-3) = +r*C(k) - (g1-g2)*l(k)*S(k)/2 + (2*W(k)/3 + 1*W(1)/3)*S(k)/2 + F(4*k-3);
    F(4*k-2) = +r*S(k) + (g1-g2)*l(k)*C(k)/2 - (2*W(k)/3 + 1*W(1)/3)*C(k)/2 + F(4*k-2);
    F(1) = -r*C(k) - (g1-g2)*l(k)*S(k)/2 + (1*W(k)/3 + 2*W(1)/3)*S(k)/2 + F(1);
    F(2) = -r*S(k) + (g1-g2)*l(k)*C(k)/2 - (1*W(k)/3 + 2*W(1)/3)*C(k)/2 + F(2);
end
