function [X Y] = CircleCoordinates(radius, n, a)
thetaG = a*pi;
thetaSegment = (2*pi-thetaG)/(n-1);

X = zeros(1,n);
Y = zeros(1,n);
theta = -pi/2+thetaG/2;
    for i = 1:1:n
        X(i) = radius * cos(theta);
        Y(i) = radius * sin(theta);
        theta = theta + thetaSegment;
    end

% plot(X, Y);
